<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: popup_panel_admin.php
| Author: JoiNNN
| Visit: http://www.phpfusion.ro
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."html_buttons_include.php";

if (!checkrights("POP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }
include INFUSIONS."popup_panel/infusion_db.php";

if (file_exists(INFUSIONS."popup_panel/locale/".$data['locale'].".php")) {
	include INFUSIONS."popup_panel/locale/".$data['locale'].".php";
} else {
	include INFUSIONS."popup_panel/locale/English.php";
}

//Reset settings
if (isset($_POST['reset_settings'])) {
	$result = dbquery("DELETE FROM ".DB_POPUP);
			  dbquery("INSERT INTO ".DB_POPUP." (popup_show, popup_message, set_showTo, set_minHeight, set_maxHeight, set_minWidth, set_maxWidth, set_opacity, set_modal, set_fixed, set_escClose, set_overlayClose, set_close) VALUES('1', '".$locale['POPUP011']."', '0', '200', '0', '400', '0', '50', '1', '1', '1', '1', '1')");
}
//Select options
$select_opt = array(
	1 => array(	"desc" => $locale['enabled'],
					"color" => "green"),
	0 => array(	"desc" => $locale['disabled'],
					"color" => "red")
	);

//'Show to' select options
$show_to_opt = array(
	0 => array(	"desc" => "All",
					"color" => "green"),
	1 => array(	"desc" => "Guests only",
					"color" => "green"),
	2 => array(	"desc" => "Members only",
					"color" => "green")
	);

//Save settings
if (isset($_POST['save_settings'])) {
	//Check inputs function
	function check_input($name, $values="", $default="") {
		$res = "";
		//For inputs with predefined values
		if (isset($name) && $values != "" && $default != "") {
			if (isset($_POST[$name]) && isnum($_POST[$name]) && array_key_exists($_POST[$name], $values)) {
					$res = stripinput($_POST[$name]);
					} else {
					$res = $default;
					}
		} elseif (isset($name)) {
		//For inputs with no predefined values
		if (isset($_POST[$name]) && isnum($_POST[$name])) {
				$res = stripinput($_POST[$name]);
				} else {
				$res = "0";
				}
		}
		return $res;
	}

	$popup_message	= addslash($_POST['popup_message']);
	$popup_show		= stripinput($_POST['popup_show']);
	if ($popup_show == 'minutes'){
  		$popup_show = stripinput($_POST['popup_show_minutes']);
	}
	$set_minHeight 	= check_input('set_minHeight');
	$set_maxHeight 	= check_input('set_maxHeight');
	$set_minWidth 	= check_input('set_minWidth');
	$set_maxWidth 	= check_input('set_maxWidth');
	$set_opacity 	= check_input('set_opacity');
	$set_showTo 	= check_input('set_showTo',		$show_to_opt, '0');
	$set_modal 		= check_input('set_modal',		$select_opt, '1');
	$set_fixed 		= check_input('set_fixed',		$select_opt, '1');
	$set_escClose 	= check_input('set_escClose',	$select_opt, '1');
	$set_overlayClose = check_input('set_overlayClose', $select_opt, '1');
	$set_close 		= check_input('set_close',		$select_opt, '1');

	//Update settings in DB
	if ((empty($popup_show)) || (!is_numeric($popup_show))) {
	echo "<div id='close-message'><div class='admin-message'>".$locale['POPUP008']."</div></div>";
	//If everything is ok update settings
		} else {
	$result = dbquery("UPDATE ".DB_POPUP." SET
								popup_message	= '$popup_message',
								popup_show		= '$popup_show',
								set_minHeight	= '$set_minHeight',
								set_maxHeight	= '$set_maxHeight',
								set_minWidth	= '$set_minWidth',
								set_maxWidth	= '$set_maxWidth',
								set_opacity		= '$set_opacity',
								set_showTo		= '$set_showTo',
								set_modal		= '$set_modal',
								set_fixed		= '$set_fixed',
								set_escClose	= '$set_escClose',
								set_overlayClose= '$set_overlayClose',
								set_close		= '$set_close'
								");
	echo "<div id='close-message'><div class='admin-message'>".$locale['POPUP007']."</div></div>";
	}
}

opentable($locale['POPUP000']);

//Show settings from DB if exists while editing
$result = dbquery("SELECT * FROM ".DB_POPUP);
$data = dbarray($result);

//Get the message
$popup_message = stripslashes($data['popup_message']);
$popup_show = $data['popup_show'];

//Radio buttons state
$checked = "";
$checked2 = "";
if ($popup_show != -1) {$checked = "checked=''";} else {$checked2 = "checked=''";}

//Render input function
function render_input($val="", $type="", $values="", $maxlen="2", $icon="yes") {
	global $data, $locale; $res="";
	//Text inputs
	if ($type == "input") {
		$res = "<input name='$val' id='$val' value='".$data[$val]."' size='8' type='text' maxlength='$maxlen' class='textbox input' />";
	//Selects
	} elseif ($type == "select") {
		$res = "<select class='textbox select' name='$val' id='$val'>";
		foreach($values as $key => $value){
			$selected = "";
			if ($data[$val] == $key) {
				$selected = "selected='selected'";
			}
			$res .= "<option style='color:".$value['color']."' value='$key' ".$selected.">".$value['desc']."</option>";							 
		}
		$res .= "</select>";
		if ($icon == "yes") {
			if ($data[$val] == 0) {
				$res .= " <img src='".IMAGES."no.png' width='16' height='16' alt='".$locale['disabled']."' />";
			} else {
				$res .= " <img src='".IMAGES."yes.png' width='16' height='16' alt='".$locale['enabled']."' />";
			}
		}
	}

	return $res;
}

echo "<form name='popupsettings' method='post' action='".FUSION_SELF.$aidlink."'>
<table cellspacing='0' cellpadding='0' class='tbl'>

<tr>
	<td>".THEME_BULLET." <strong><span style='font-size: 16px;'>".$locale['POPUP002']."</span></strong></td>
</tr>

<tr>
	<td><textarea name='popup_message' class='textbox' style='width:600px;height:300px;'>".$popup_message."</textarea></td>
</tr>

<tr>
	<td>".display_html("popupsettings", "popup_message", true, true, true)."<br /><br /></td>
</tr>";

//To who and when to show the popup
echo "<tr><td>".THEME_BULLET." <strong><span style='font-size: 16px;'>".$locale['POPUP012']."</span></strong><br />";

$selected = "selected='selected'";
echo "<label for='set_showTo' style='padding-left: 10px'>Show to </label>";
echo render_input('set_showTo', 'select', $show_to_opt, '', "no");

//Radio button for show allways
echo "<label style='padding-left: 2em;' for='popup_time_always'>".$locale['POPUP004']."</label>
<input name='popup_show' id='popup_time_always' type='radio' value='-1' ".$checked2." />";

//Radio button for show only once on x minutes
echo "<label style='padding-left: 2em;' for='popup_time_once'>".$locale['POPUP005']."</label>
<input name='popup_show' id='popup_time_once' type='radio' value='minutes' ".$checked." />";
if (($popup_show == -1) || (empty($popup_show))) {$popup_show = 1;}
echo "<input name='popup_show_minutes' id='popup_time_minutes' value='".$popup_show."' type='text' class='textbox' maxlength='3' style='width:24px' />
<label for='popup_time_minutes'>".$locale['POPUP006']."</label>
<br /><br /></td>
</tr></table>";

echo "<table cellspacing='0' cellpadding='0' class='tbl'>";
//Advanced settings
echo "<tr><td>".THEME_BULLET." <strong><span style='font-size: 16px;'>".$locale['POPUP013']."</span></strong></td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_minHeight'><strong>Box minHeight</strong></label>";
echo "<div>".$locale['POPUP014']."<br /><br /></div>";
echo "</td><td>".render_input('set_minHeight', 'input', '', '4')." px</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_maxHeight'><strong>Box maxHeight</strong></label>";
echo "<div>".$locale['POPUP015']."<br /><br /></div>";
echo "</td><td>".render_input('set_maxHeight', 'input', '', '4')." px</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_minWidth'><strong>Box minWidth</strong></label>";
echo "<div>".$locale['POPUP016']."<br /><br /></div>";
echo "</td><td>".render_input('set_minWidth', 'input', '', '4')." px</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_maxWidth'><strong>Box maxWidth</strong></label>";
echo "<div>".$locale['POPUP017']."<br /><br /></div>";
echo "</td><td>".render_input('set_maxWidth', 'input', '', '4')." px</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_opacity'><strong>Overlay opacity</strong></label>";
echo "<div>".$locale['POPUP018']."<br /><br /></div>";
echo "</td><td>".render_input('set_opacity', 'input', '', '4')." %</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_modal'><strong>Modal</strong></label>";
echo "<div>".$locale['POPUP019']."<br /><br /></div>";
echo "</td><td>";
echo render_input('set_modal', 'select', $select_opt);
echo "</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_fixed'><strong>".$locale['POPUP020']."</strong></label>";
echo "<div>".$locale['POPUP021']."<br /><br /></div>";
echo "</td><td>";
echo render_input('set_fixed', 'select', $select_opt);
echo "</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_escClose'><strong>".$locale['POPUP022']."</strong></label>";
echo "<div>".$locale['POPUP023']."<br /><br /></div>";
echo "</td><td>";
echo render_input('set_escClose', 'select', $select_opt);
echo "</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_overlayClose'><strong>".$locale['POPUP024']."</strong></label>";
echo "<div>".$locale['POPUP025']."<br /><br /></div>";
echo "</td><td>";
echo render_input('set_overlayClose', 'select', $select_opt);
echo "</td></tr>";

echo "<tr><td style='padding-left: 10px'><label for='set_close'><strong>".$locale['POPUP026']."</strong></label>";
echo "<div>".$locale['POPUP027']."<br /><br /></div>";
echo "</td><td>";
echo render_input('set_close', 'select', $select_opt);
echo "</td></tr>";

echo "</td></tr>";

//Save and reset buttons
echo "<tr><td><input type='submit' name='save_settings' value='".$locale['POPUP001']."' class='button' /></td>
<td><input type='submit' name='reset_settings' value='".$locale['POPUP09']."' class='button' id='button_reset' /></td></tr>";

echo "</table></form>";

//Confirm on reset dialog
echo "<script type='text/javascript'>$('#button_reset').click(
    function(){
        return confirm('".$locale['POPUP010']."');
    });
</script>";

closetable();

require_once THEMES."templates/footer.php";
?>